// Copyright (c) 2010-2016 Quadralay Corporation.  All rights reserved.
//

using System;
using System.Runtime.InteropServices;

namespace WebWorks.Help
{
  internal class User32
  {
    [DllImport("user32")]
    [return: MarshalAs(UnmanagedType.Bool)]
    public static extern bool IsIconic(IntPtr hWnd);

    [DllImport("user32")]
    [return: MarshalAs(UnmanagedType.Bool)]
    public static extern bool OpenIcon(IntPtr hwnd);

    [DllImport("user32")]
    [return: MarshalAs(UnmanagedType.Bool)]
    public static extern bool SetForegroundWindow(IntPtr hwnd);
  }
}
